Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network8.0.0.0/5
Usable hosts134,217,726
Subnet mask248.0.0.0
Addresses134,217,728
Network address
8.0.0.0
Broadcast address
15.255.255.255
First usable
8.0.0.1
Last usable
15.255.255.254
Usable hosts
134,217,726 (134,217,728 less the network and broadcast addresses)
Subnet mask
248.0.0.0
Wildcard mask
7.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/5
Type
Public public
Old class
A (default /8)
As numbers
Hex 08000000 · Integer 134217728 to 268435455
Reverse DNS zones
8.in-addr.arpa
9.in-addr.arpa
10.in-addr.arpa
11.in-addr.arpa
12.in-addr.arpa
13.in-addr.arpa
14.in-addr.arpa
15.in-addr.arpa
/5 is not on a 8-bit boundary, so it takes 8 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001000.00000000.00000000.000000008.0.0.0
Subnet mask11111000.00000000.00000000.00000000248.0.0.0
Network00001000.00000000.00000000.000000008.0.0.0
Broadcast00001111.11111111.11111111.1111111115.255.255.255
Split into smaller subnets/12

8.0.0.0/5 makes 128 subnets of /12.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
18.0.0.0/128.0.0.1 to 8.15.255.2548.15.255.2551,048,574
28.16.0.0/128.16.0.1 to 8.31.255.2548.31.255.2551,048,574
38.32.0.0/128.32.0.1 to 8.47.255.2548.47.255.2551,048,574
48.48.0.0/128.48.0.1 to 8.63.255.2548.63.255.2551,048,574
58.64.0.0/128.64.0.1 to 8.79.255.2548.79.255.2551,048,574
68.80.0.0/128.80.0.1 to 8.95.255.2548.95.255.2551,048,574
78.96.0.0/128.96.0.1 to 8.111.255.2548.111.255.2551,048,574
88.112.0.0/128.112.0.1 to 8.127.255.2548.127.255.2551,048,574
98.128.0.0/128.128.0.1 to 8.143.255.2548.143.255.2551,048,574
108.144.0.0/128.144.0.1 to 8.159.255.2548.159.255.2551,048,574
118.160.0.0/128.160.0.1 to 8.175.255.2548.175.255.2551,048,574
128.176.0.0/128.176.0.1 to 8.191.255.2548.191.255.2551,048,574
138.192.0.0/128.192.0.1 to 8.207.255.2548.207.255.2551,048,574
148.208.0.0/128.208.0.1 to 8.223.255.2548.223.255.2551,048,574
158.224.0.0/128.224.0.1 to 8.239.255.2548.239.255.2551,048,574
168.240.0.0/128.240.0.1 to 8.255.255.2548.255.255.2551,048,574
179.0.0.0/129.0.0.1 to 9.15.255.2549.15.255.2551,048,574
189.16.0.0/129.16.0.1 to 9.31.255.2549.31.255.2551,048,574
199.32.0.0/129.32.0.1 to 9.47.255.2549.47.255.2551,048,574
209.48.0.0/129.48.0.1 to 9.63.255.2549.63.255.2551,048,574
219.64.0.0/129.64.0.1 to 9.79.255.2549.79.255.2551,048,574
229.80.0.0/129.80.0.1 to 9.95.255.2549.95.255.2551,048,574
239.96.0.0/129.96.0.1 to 9.111.255.2549.111.255.2551,048,574
249.112.0.0/129.112.0.1 to 9.127.255.2549.127.255.2551,048,574
259.128.0.0/129.128.0.1 to 9.143.255.2549.143.255.2551,048,574
269.144.0.0/129.144.0.1 to 9.159.255.2549.159.255.2551,048,574
279.160.0.0/129.160.0.1 to 9.175.255.2549.175.255.2551,048,574
289.176.0.0/129.176.0.1 to 9.191.255.2549.191.255.2551,048,574
299.192.0.0/129.192.0.1 to 9.207.255.2549.207.255.2551,048,574
309.208.0.0/129.208.0.1 to 9.223.255.2549.223.255.2551,048,574
319.224.0.0/129.224.0.1 to 9.239.255.2549.239.255.2551,048,574
329.240.0.0/129.240.0.1 to 9.255.255.2549.255.255.2551,048,574
3310.0.0.0/1210.0.0.1 to 10.15.255.25410.15.255.2551,048,574
3410.16.0.0/1210.16.0.1 to 10.31.255.25410.31.255.2551,048,574
3510.32.0.0/1210.32.0.1 to 10.47.255.25410.47.255.2551,048,574
3610.48.0.0/1210.48.0.1 to 10.63.255.25410.63.255.2551,048,574
3710.64.0.0/1210.64.0.1 to 10.79.255.25410.79.255.2551,048,574
3810.80.0.0/1210.80.0.1 to 10.95.255.25410.95.255.2551,048,574
3910.96.0.0/1210.96.0.1 to 10.111.255.25410.111.255.2551,048,574
4010.112.0.0/1210.112.0.1 to 10.127.255.25410.127.255.2551,048,574
4110.128.0.0/1210.128.0.1 to 10.143.255.25410.143.255.2551,048,574
4210.144.0.0/1210.144.0.1 to 10.159.255.25410.159.255.2551,048,574
4310.160.0.0/1210.160.0.1 to 10.175.255.25410.175.255.2551,048,574
4410.176.0.0/1210.176.0.1 to 10.191.255.25410.191.255.2551,048,574
4510.192.0.0/1210.192.0.1 to 10.207.255.25410.207.255.2551,048,574
4610.208.0.0/1210.208.0.1 to 10.223.255.25410.223.255.2551,048,574
4710.224.0.0/1210.224.0.1 to 10.239.255.25410.239.255.2551,048,574
4810.240.0.0/1210.240.0.1 to 10.255.255.25410.255.255.2551,048,574
4911.0.0.0/1211.0.0.1 to 11.15.255.25411.15.255.2551,048,574
5011.16.0.0/1211.16.0.1 to 11.31.255.25411.31.255.2551,048,574
5111.32.0.0/1211.32.0.1 to 11.47.255.25411.47.255.2551,048,574
5211.48.0.0/1211.48.0.1 to 11.63.255.25411.63.255.2551,048,574
5311.64.0.0/1211.64.0.1 to 11.79.255.25411.79.255.2551,048,574
5411.80.0.0/1211.80.0.1 to 11.95.255.25411.95.255.2551,048,574
5511.96.0.0/1211.96.0.1 to 11.111.255.25411.111.255.2551,048,574
5611.112.0.0/1211.112.0.1 to 11.127.255.25411.127.255.2551,048,574
5711.128.0.0/1211.128.0.1 to 11.143.255.25411.143.255.2551,048,574
5811.144.0.0/1211.144.0.1 to 11.159.255.25411.159.255.2551,048,574
5911.160.0.0/1211.160.0.1 to 11.175.255.25411.175.255.2551,048,574
6011.176.0.0/1211.176.0.1 to 11.191.255.25411.191.255.2551,048,574
6111.192.0.0/1211.192.0.1 to 11.207.255.25411.207.255.2551,048,574
6211.208.0.0/1211.208.0.1 to 11.223.255.25411.223.255.2551,048,574
6311.224.0.0/1211.224.0.1 to 11.239.255.25411.239.255.2551,048,574
6411.240.0.0/1211.240.0.1 to 11.255.255.25411.255.255.2551,048,574
6512.0.0.0/1212.0.0.1 to 12.15.255.25412.15.255.2551,048,574
6612.16.0.0/1212.16.0.1 to 12.31.255.25412.31.255.2551,048,574
6712.32.0.0/1212.32.0.1 to 12.47.255.25412.47.255.2551,048,574
6812.48.0.0/1212.48.0.1 to 12.63.255.25412.63.255.2551,048,574
6912.64.0.0/1212.64.0.1 to 12.79.255.25412.79.255.2551,048,574
7012.80.0.0/1212.80.0.1 to 12.95.255.25412.95.255.2551,048,574
7112.96.0.0/1212.96.0.1 to 12.111.255.25412.111.255.2551,048,574
7212.112.0.0/1212.112.0.1 to 12.127.255.25412.127.255.2551,048,574
7312.128.0.0/1212.128.0.1 to 12.143.255.25412.143.255.2551,048,574
7412.144.0.0/1212.144.0.1 to 12.159.255.25412.159.255.2551,048,574
7512.160.0.0/1212.160.0.1 to 12.175.255.25412.175.255.2551,048,574
7612.176.0.0/1212.176.0.1 to 12.191.255.25412.191.255.2551,048,574
7712.192.0.0/1212.192.0.1 to 12.207.255.25412.207.255.2551,048,574
7812.208.0.0/1212.208.0.1 to 12.223.255.25412.223.255.2551,048,574
7912.224.0.0/1212.224.0.1 to 12.239.255.25412.239.255.2551,048,574
8012.240.0.0/1212.240.0.1 to 12.255.255.25412.255.255.2551,048,574
8113.0.0.0/1213.0.0.1 to 13.15.255.25413.15.255.2551,048,574
8213.16.0.0/1213.16.0.1 to 13.31.255.25413.31.255.2551,048,574
8313.32.0.0/1213.32.0.1 to 13.47.255.25413.47.255.2551,048,574
8413.48.0.0/1213.48.0.1 to 13.63.255.25413.63.255.2551,048,574
8513.64.0.0/1213.64.0.1 to 13.79.255.25413.79.255.2551,048,574
8613.80.0.0/1213.80.0.1 to 13.95.255.25413.95.255.2551,048,574
8713.96.0.0/1213.96.0.1 to 13.111.255.25413.111.255.2551,048,574
8813.112.0.0/1213.112.0.1 to 13.127.255.25413.127.255.2551,048,574
8913.128.0.0/1213.128.0.1 to 13.143.255.25413.143.255.2551,048,574
9013.144.0.0/1213.144.0.1 to 13.159.255.25413.159.255.2551,048,574
9113.160.0.0/1213.160.0.1 to 13.175.255.25413.175.255.2551,048,574
9213.176.0.0/1213.176.0.1 to 13.191.255.25413.191.255.2551,048,574
9313.192.0.0/1213.192.0.1 to 13.207.255.25413.207.255.2551,048,574
9413.208.0.0/1213.208.0.1 to 13.223.255.25413.223.255.2551,048,574
9513.224.0.0/1213.224.0.1 to 13.239.255.25413.239.255.2551,048,574
9613.240.0.0/1213.240.0.1 to 13.255.255.25413.255.255.2551,048,574
9714.0.0.0/1214.0.0.1 to 14.15.255.25414.15.255.2551,048,574
9814.16.0.0/1214.16.0.1 to 14.31.255.25414.31.255.2551,048,574
9914.32.0.0/1214.32.0.1 to 14.47.255.25414.47.255.2551,048,574
10014.48.0.0/1214.48.0.1 to 14.63.255.25414.63.255.2551,048,574
10114.64.0.0/1214.64.0.1 to 14.79.255.25414.79.255.2551,048,574
10214.80.0.0/1214.80.0.1 to 14.95.255.25414.95.255.2551,048,574
10314.96.0.0/1214.96.0.1 to 14.111.255.25414.111.255.2551,048,574
10414.112.0.0/1214.112.0.1 to 14.127.255.25414.127.255.2551,048,574
10514.128.0.0/1214.128.0.1 to 14.143.255.25414.143.255.2551,048,574
10614.144.0.0/1214.144.0.1 to 14.159.255.25414.159.255.2551,048,574
10714.160.0.0/1214.160.0.1 to 14.175.255.25414.175.255.2551,048,574
10814.176.0.0/1214.176.0.1 to 14.191.255.25414.191.255.2551,048,574
10914.192.0.0/1214.192.0.1 to 14.207.255.25414.207.255.2551,048,574
11014.208.0.0/1214.208.0.1 to 14.223.255.25414.223.255.2551,048,574
11114.224.0.0/1214.224.0.1 to 14.239.255.25414.239.255.2551,048,574
11214.240.0.0/1214.240.0.1 to 14.255.255.25414.255.255.2551,048,574
11315.0.0.0/1215.0.0.1 to 15.15.255.25415.15.255.2551,048,574
11415.16.0.0/1215.16.0.1 to 15.31.255.25415.31.255.2551,048,574
11515.32.0.0/1215.32.0.1 to 15.47.255.25415.47.255.2551,048,574
11615.48.0.0/1215.48.0.1 to 15.63.255.25415.63.255.2551,048,574
11715.64.0.0/1215.64.0.1 to 15.79.255.25415.79.255.2551,048,574
11815.80.0.0/1215.80.0.1 to 15.95.255.25415.95.255.2551,048,574
11915.96.0.0/1215.96.0.1 to 15.111.255.25415.111.255.2551,048,574
12015.112.0.0/1215.112.0.1 to 15.127.255.25415.127.255.2551,048,574
12115.128.0.0/1215.128.0.1 to 15.143.255.25415.143.255.2551,048,574
12215.144.0.0/1215.144.0.1 to 15.159.255.25415.159.255.2551,048,574
12315.160.0.0/1215.160.0.1 to 15.175.255.25415.175.255.2551,048,574
12415.176.0.0/1215.176.0.1 to 15.191.255.25415.191.255.2551,048,574
12515.192.0.0/1215.192.0.1 to 15.207.255.25415.207.255.2551,048,574
12615.208.0.0/1215.208.0.1 to 15.223.255.25415.223.255.2551,048,574
12715.224.0.0/1215.224.0.1 to 15.239.255.25415.239.255.2551,048,574
12815.240.0.0/1215.240.0.1 to 15.255.255.25415.255.255.2551,048,574

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses